PCLDocumentHandlerMaker (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.pcl

## Class PCLDocumentHandlerMaker

- java.lang.Object
- - org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
  - - org.apache.fop.render.pcl.PCLDocumentHandlerMaker

-     public class PCLDocumentHandlerMaker
      extends AbstractIFDocumentHandlerMaker

  Document handler factory for PCL output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLDocumentHandlerMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getSupportedMimeTypes()`
    `IFDocumentHandler` | `makeIFDocumentHandler(IFContext ifContext)` Instantiates a new `IFDocumentHandler`.
    `boolean` | `needsOutputStream()`

    - ### Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker

      `isMimeTypeSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLDocumentHandlerMaker

          public PCLDocumentHandlerMaker()

  - ### Method Detail

    - #### makeIFDocumentHandler

          public IFDocumentHandler makeIFDocumentHandler(IFContext ifContext)

      Instantiates a new `IFDocumentHandler`.
      Specified by:
        `makeIFDocumentHandler` in class `AbstractIFDocumentHandlerMaker`
      Parameters:
        `ifContext` - the user agent
      Returns:
        the newly instantiated document handler

    - #### needsOutputStream

          public boolean needsOutputStream()

      Specified by:
        `needsOutputStream` in class `AbstractIFDocumentHandlerMaker`
      Returns:
        Indicates whether this document handler requires an OutputStream to work with.

    - #### getSupportedMimeTypes

          public java.lang.String[] getSupportedMimeTypes()

      Specified by:
        `getSupportedMimeTypes` in class `AbstractIFDocumentHandlerMaker`
      Returns:
        an array of MIME types the document handler supports.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.